> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Experiment Votes



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/votes
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/votes:
    get:
      tags:
        - Voting
      summary: List Experiment Votes
      operationId: list_experiment_votes_v1_experiments__experiment_id__votes_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 500
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
        - description: Restrict to comparisons involving this output
          in: query
          name: sample_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            description: Restrict to comparisons involving this output
            title: Sample Id
        - description: Restrict to votes by this voter (user id or session voter id)
          in: query
          name: voter
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            description: Restrict to votes by this voter (user id or session voter id)
            title: Voter
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoteSummaryListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    VoteSummaryListResponse:
      additionalProperties: false
      properties:
        total:
          title: Total
          type: integer
        votes:
          items:
            $ref: '#/components/schemas/VoteSummaryResponse'
          title: Votes
          type: array
      required:
        - votes
        - total
      title: VoteSummaryListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    VoteSummaryResponse:
      properties:
        anchor_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Anchor Value
        counted_for_ranking:
          default: true
          title: Counted For Ranking
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        exam_pair_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Exam Pair Id
        experiment_id:
          format: uuid
          title: Experiment Id
          type: string
        feedback:
          anyOf:
            - type: string
            - type: 'null'
          title: Feedback
        id:
          format: uuid
          title: Id
          type: string
        invalidated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Invalidated At
        invalidation_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Invalidation Reason
        is_exam:
          default: false
          title: Is Exam
          type: boolean
        outcome:
          default: left_wins
          title: Outcome
          type: string
        pair_id:
          format: uuid
          title: Pair Id
          type: string
        sample_a_id:
          format: uuid
          title: Sample A Id
          type: string
        sample_a_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Sample A Label
        sample_b_id:
          format: uuid
          title: Sample B Id
          type: string
        sample_b_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Sample B Label
        session_voter_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Session Voter Id
        time_taken_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Time Taken Ms
        voter_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Voter Id
        voter_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Voter Username
        winner_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Winner Id
      required:
        - id
        - experiment_id
        - pair_id
        - sample_a_id
        - sample_b_id
        - winner_id
        - created_at
      title: VoteSummaryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````